#
# spec file for package HLaTeX (Version 0.991)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd latex-ucs less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           HLaTeX
BuildRequires:  te_ams te_latex
License:        GPL
Group:          Productivity/Publishing/TeX/Base
Prereq:         /bin/mkdir /bin/touch 
Requires:       tetex
Autoreqprov:    on
Provides:       locale(te_latex:ko)
Summary:        LaTeX Korean support
Version:        0.991
Release:        879.1
Source0:        HLaTeX-%{version}.tar.bz2
Source1:        HLaTeX.Makefile
Patch0:         hlatex_0.991-1.1.diff.gz
Patch1:         bugzilla-188118-too-big-value-of-extendfont.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
HLaTeX is a LaTeX package to use Hangul with LaTeX. With this package,
you can run latex on KSX 1001-based Korean LaTeX files to produce
professional-looking Korean documents. You can typeset all Korean
characters defined in KS X 1001, including Korean Symbol, Hangul, and
Hanja.



Authors:
--------
    Koaunghi Un  <zxmst22@softland>

Summary:        LaTeX Korean support
%debug_package
%prep
%setup -c -n HLaTeX
%patch0 -p1
%patch1 -p1
cp %{SOURCE1} ./makefile

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/var/lib/texmf/fonts/map/dvips/updmap
install -c -m 755 uhc/config/uhc-down.map \
	%{buildroot}/var/lib/texmf/fonts/map/dvips/updmap

%post
# generating of the updmap.hlatex fontmap script has been moved
# to /sbin/conf.d/SuSEconfig.tetex.
# See the tetex package.
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash
test -x usr/bin/texhash && usr/bin/texhash
exit 0

%postun
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash
test -x usr/bin/texhash && usr/bin/texhash
exit 0

%files
%defattr(-,root,root)
%doc doc/hlguide.html doc/*.jpg doc/*.gz doc/dot.js
%doc hlguide.tex hlguide.bib changelog.ks hlatex-en.html 
%doc hlatex-ko.html hlatex.html news.099 readme.eng
%{_prefix}/share/texmf/*
/var/lib/texmf/fonts/map/dvips/updmap

%changelog -n HLaTeX
* Wed Jun 28 2006 - mfabian@suse.de
- Bugzilla #188118: use 1.999 instead of 2.0 as argument for
  ExtendFont, if 2.0 is used one gets a warning that it is too
  big.
* Tue Feb 28 2006 - mfabian@suse.de
- add "Provides: locale(te_latex:ko)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Feb 11 2005 - ro@suse.de
- maps to /var/lib/texmf/fonts/map/dvips/updmap
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Fri Aug 23 2002 - mfabian@suse.de
- move generation of updmap.hlatex out of HLaTeX's post install
  put it into SuSEconfig.tetex instead. Adjust Prereq accordingly.
* Wed Aug 14 2002 - mfabian@suse.de
- add /var/lib/texmf/dvips/config/updmap to Prereq:
  (thanks to Andreas Schwab <schwab@suse.de>)
* Sun Aug 11 2002 - mfabian@suse.de
- add stuff needed by post and postun scripts to Prereq:
  (/bin/rm /bin/sed /bin/mv /bin/mkdir /bin/touch)
- fix post script not to use / at the beginning of paths.
* Tue Jul 23 2002 - kukuk@suse.de
- Remove unecessary packages from neededforbuild
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Sat Jan 20 2001 - violiet@suse.de
- new package HLaTeX version to 0.991.
